无法正常编译含有optional-chaining和nullish-coalescing的代码

有一个一年前通过vue-cli4生成的vue2项目,这周开始没法正常编译含有optional-chaining和nullish-coalescing的代码了

最近一次重新编译(包括npm install)成功是在上周5(2022年6月17日)

现在必须在babel.config.js中显式的添加两个插件@babel/plugin-proposal-nullish-coalescing-operator@babel/plugin-proposal-optional-chaining,否正报错Module parse failed: Unexpected token

是这几天内有哪个模块更新了吗,但是发现新的vue-cli5产生的项目没必要显式配置这些,是哪些其他地方设置影响这里?

谢谢了

1 Like
1 Like